# telegram-decoder

### TLMS.telegramDecoder.authTokenFile

Path to telegram-decoder auth token

*Type*: string or path

*Default*

```
"/etc/telegram-decoder/token"
```

### TLMS.telegramDecoder.configFile

Path to telegram-decoder config

*Type*: string or path

*Default*

```
"/etc/telegram-decoder/settings.json"
```

### TLMS.telegramDecoder.enable

Wether to enable TLMS telegram-decoder

*Type*: boolean

*Default*

```
false
```

### TLMS.telegramDecoder.errorCorrection

enable or disable error correction

*Type*: boolean

*Default*

```
true
```

### TLMS.telegramDecoder.logLevel

under which logLevel the service should run

*Type*: one of "info", "warn", "error", "debug", "trace"

*Default*

```
"info"
```

### TLMS.telegramDecoder.offline

runs telegram-decoder in offline mode used for mobile stations

*Type*: boolean

*Default*

```
false
```

### TLMS.telegramDecoder.server

URL of the TLMS websocket

*Type*: list of string

*Default*

```
["https://dump.dvb.solutions/"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tlm.solutions/nixos-options/telegram-decoder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
